# $Revision: 1.37 $, $Date: 2005/09/08 15:02:51 $
Summary:	Cross SPARC64 GNU binary utility development utilities - binutils
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - SPARC64 binutils
Summary(fr):	Utilitaires de dveloppement binaire de GNU - SPARC64 binutils
Summary(pl):	Skrone narzdzia programistyczne GNU dla SPARC64 - binutils
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU - SPARC64 binutils
Summary(tr):	GNU gelitirme aralar - SPARC64 binutils
Name:		crosssparc64-binutils
Version:	2.16.91.0.3
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	c737a5787927f60758b4960f10e44f93
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
ExcludeArch:	sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		sparc64-pld-linux
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for SPARC64.

%description -l pl
Pakiet binutils zawiera zestaw narzdzi umoliwiajcych kompilacj
programw. Znajduj si tutaj midzy innymi assembler, konsolidator
(linker), a take inne narzdzia do manipulowania binarnymi plikami
programw i bibliotek.

Ten pakiet zawiera wersj skron generujc kod dla SPARC64.

%prep
%setup -q -n binutils-%{version}

%build
cp /usr/share/automake/config.sub .

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
%ifarch sparc
sparc32 \
%endif
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-64-bit-bfd \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/ldscripts/*
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crosssparc64-binutils.spec,v $
Revision 1.37  2005/09/08 15:02:51  pluto
- pass -fno-strict-aliasing to avoid wrong-code (aliasing violations).

Revision 1.36  2005/09/05 07:05:34  pluto
- updated to 2.16.91.0.3.

Revision 1.35  2005/07/28 19:07:53  pluto
- updated to 2.16.91.0.2.

Revision 1.34  2005/06/26 13:25:08  pluto
- updated to 2.16.91.0.1.

Revision 1.33  2005/05/15 18:48:52  pluto
- updated to 2.16.90.0.3.

Revision 1.32  2005/05/02 15:29:03  pluto
- updated to 2.16.90.0.2.

Revision 1.31  2005/04/29 00:55:33  pluto
- disable nls.

Revision 1.30  2005/04/28 23:25:24  pluto
- updated to 2.16.90.0.1.

Revision 1.29  2005/04/07 12:18:20  pluto
- updated to 2.15.94.0.2.2.

Revision 1.28  2005/02/10 18:37:56  pluto
- oops, md5.

Revision 1.27  2005/02/10 18:24:00  pluto
- updated to 2.15.94.0.2.

Revision 1.26  2004/11/24 08:42:25  pluto
- updated to 2.15.94.0.1.

Revision 1.25  2004/10/03 15:05:25  pluto
- %%prep fixed.

Revision 1.24  2004/10/03 14:41:31  pluto
- updated to 2.15.92.0.2.

Revision 1.23  2004/09/24 14:59:10  pluto
- updated to 2.15.91.0.2.
- fixed PR290, PR338.
- release 1.

Revision 1.22  2004/06/17 11:55:49  pluto
- ops, log fixed.

Revision 1.21  2004/06/17 11:32:14  pluto
- enable-64-bit-bfd.

Revision 1.20  2004/06/14 18:46:14  ankry
- added missing dir

Revision 1.19  2004/06/13 14:06:22  ankry
- now should build

Revision 1.18  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.17  2004/06/11 22:38:52  ankry
BR: gettext-devel

Revision 1.16  2004/06/01 19:26:04  cieciwa
- version 2.15.91.0.1,
- updated MD5 sum.

Revision 1.15  2004/05/29 13:25:28  qboosh
- ExcludeArch: sparc64 (would conflict with native toolchain)

Revision 1.14  2004/04/22 12:41:46  cieciwa
- version 2.15.90.0.3,
- updated MD5 sum.

Revision 1.13  2004/03/29 16:49:53  qboosh
- cosmetics

Revision 1.12  2004/03/29 12:06:20  cieciwa
- included ldscripts

Revision 1.11  2004/03/13 20:49:06  cieciwa
- updated to version 2.15.90.0.1.1,
- fixed MD5 sum.

Revision 1.10  2004/01/13 14:13:07  qboosh
- fixed URL, cleanups

Revision 1.9  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.8  2003/08/27 20:11:13  misi3k
- updated to 2.14.90.0.6

Revision 1.6  2003/08/06 16:52:49  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.5  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/29 08:46:08  undefine
- updated to 2.13.90.0.16

Revision 1.2  2002/10/10 13:04:38  marcus
- use new %%doc

Revision 1.1  2002/07/23 15:43:57  undefine
- initital pld version

Revision 1.9  2002/04/25 16:07:45  arturs
fixed a small typo

Revision 1.8  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 15:03:27  malekith
- update to 2.11.92.0.12.3 (prev doesn't work)
- include /usr/mipsel-pld-linux/{bin,lib}/* in package

Revision 1.5  2002/01/18 02:12:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/29 21:36:31  ankry
- BuildRequires: perl-devel for man pages
- remove win*/netware tool man pages
- more translations
- release 2

Revision 1.3  2001/06/10 14:16:58  misiek
typo

Revision 1.2  2001/06/10 14:15:33  misiek
updates

Revision 1.1  2001/06/10 11:52:31  misiek
name change; unfinished
